package nsdb.LocationPackage;
final public class LocOperatorHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.LocationPackage.LocOperator value;

	public LocOperatorHolder ()
	{
	}
	public LocOperatorHolder (nsdb.LocationPackage.LocOperator initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.LocationPackage.LocOperatorHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.LocationPackage.LocOperatorHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.LocationPackage.LocOperatorHelper.write(_out,value);
	}
}
